# 0.4.6
- Get display name from `prev_content` as backup

# 0.4.5
- Fix leave events not having a display name set 

# 0.4.4
- Pass a SyncState object in the sync stream

# 0.4.3
- Add `downloadThumbnail` method

# 0.4.2
- Fix sending test
- Add formattedBody field to TextMessageEvent
- Fix store required being non-null

# 0.4.1
- Serialize display name of member change event

# 0.4.0
- Implement local message echo

# 0.3.9
- Serialize url and image info properly

# 0.3.8
- Fix url not being serialized of image message

# 0.3.7
- Add image information to image message event

# 0.3.6
- Return null if image url is null

# 0.3.5
- Implement `m.image` message event

# 0.3.2
- Add `delete()` method to `Store`

# 0.3.1
- Add ability to logout

# 0.3.0
- Implement message sending
- Move content fields to seperate classes

# 0.2.4
- Don't pass dependency injection scope seperately
- Don't silence dependency injection errors
- Fix events sometimes being null

# 0.2.3
- Implement fetching events from history
- Use dependency injection (using Kiwi)
- Simplify user assignment when creating events
- Don't sort items when adding them
- Implement `upTo(count)` method in `Storables`

# 0.2.2
- Fix exception when handling avatar deletion

# 0.2.1
- Add option to set user when creating event
- Let display names also be set on subsequent syncs

# 0.2.0
- Add `Room` and `User` reference to events
- Save more efficiently
- Remove `print` when using historical localpart
- Add `fullState` param to sync api
- Implement members
- Change some field names
- Add null checks to `LocalUser.fromStore()`

# 0.1.9
- Remove `idb_shim` dependency
- Make `Rooms` and `Events` implementation generic
- Deserialize other member events, add displayname
- Restructure event classes
- Implement `m.room.member`
- Fix `events.state()` returning `MessageEvent` stream

# 0.1.8
- Cast specific event streams
- Use room id as name if room name is null

# 0.1.7
- Add avatar url to `JoinedRoom` constructor

# 0.1.6
- Fix `AvatarChangeEvent` not being able to serialize

# 0.1.5
- Implement `m.room.avatar` event
- Add media download method

# 0.1.4
- Add `LocalUser.fromStore` 
- Add ability to store homeserver and user id

# 0.1.3
- Don't check whether `Store` is open in `LocalUser` constructor

# 0.1.2
- Make `Store` per user
- Remove `IndexedDbStore`

# 0.1.1
- Export event(s)

# 0.1.0
- Add basic event support
- Use IndexedDB instead of Sembast store
- Let store support multiple `LocalUser`s
- Fix equality issues
- Restructure tests, use a test room on matrix.org
- Use dotenv for username and password in tests

# 0.0.7
- Fix bug where `sync` would continously add duplicate rooms

# 0.0.6
- Fix `sync` always being initial sync

# 0.0.5
- Depend on a lower version of the `meta` package

# 0.0.4
- Fix syncing without store throwing exception
- Add missing meta dependency
- Add example code
- Remove unused imports
